Commit Graph

1413 Commits (ca00ffa101d919b0fc493201a734646a620b0de0)

Author SHA1 Message Date
Adam Warner 68a03cc877
Ensure that /run/lighttpd exists and is owned by lighttpd user. It is likely that new installs will fail currently
1 year ago
Adam Warner 50be36400c
Always set lighttpd config dir permissions (#5038)
1 year ago
Adam Warner ce7f926e92
Only remove the `server.modules+=` from new config if lighttpd version is < 1.4.56 (#5133)
1 year ago
Adam Warner d30a5f1b95
Get the lighttpd version from `dpkg-query` instead
1 year ago
Christian König 771b7cfcc7
Run updatechecker after gravity
1 year ago
Adam Warner 7bb86e4118
Add a check for the version number of lighttpd. Only remove the server.modules += section of the new pihole-admin config if the version number is not greater than or equal to 1.4.56
1 year ago
Adam Warner 634e3b0e46
mod_accesslog was ommited from the list of server modules, which causes a warning to be flashed up in the error log. Enabling this
1 year ago
Christian König f73b965fcd
Create versions file before sourcing it
2 years ago
Christian König b9ebb05246
Set permission after we know the user wants to install the web server
2 years ago
Christian König c59e11a332
Always set lighttpd config dir permissions
2 years ago
Glenn Strauss 34f45d011d
lighttpd: do not install obsolete 404 handler
2 years ago
Glenn Strauss c6342ed84c
lighttpd: do not overwrite /etc/lighttpd/lighttpd.conf
2 years ago
Glenn Strauss 08c7691d1e
lighttpd pihole-admin.conf for admin interface
2 years ago
Glenn Strauss dafc9983f5
lighttpd include external.conf using file glob
2 years ago
Adam Warner c2bb190dce
Explicitly create group pihole on installation (#5039)
2 years ago
MichaIng 06de172952
Skip setcap on installs with systemd
2 years ago
Adam Warner ff5ee29566
Add native systemd service (#4924)
2 years ago
Christian König 33d2163f19
Explicitly create group pihole on installation
2 years ago
Christian König 6d8abc2e30
Don't install `which`
2 years ago
Adam Warner 6b8ba3c15e
Replace deprecated shell commands (#4907)
2 years ago
Adam Warner 64e61aac4a
Simplify versions.sh (#4959)
2 years ago
Stephan Pillhofer 122bc6b927
Fix static IP not set because of in-line comment
2 years ago
Stephan Pillhofer 06cf7afbc2 Fix static IP not set
2 years ago
MichaIng 81927334f2
Add native systemd service
2 years ago
a1346054 e3db5fc601
basic-install.sh: Use `command -v` instead of `which`
2 years ago
a1346054 9c51050283
basic-install.sh: Use `grep -E` instead of `egrep`
2 years ago
RD WebDesign c5b3b8dd68
Fix `pihole -r` dialog exit
2 years ago
Christian König 18d28533eb
Update local and remote versions at the same time
2 years ago
Adam Warner 755ec8bf2f
$$ != $
2 years ago
Adam Warner 1c1407e083
Use utils.sh in install script (#4872)
2 years ago
Christian König d4ce5b1c2a
Fix tabs in dialog boxes
2 years ago
yubiuser 2ff1fa1b85
Merge branch 'development' into use_utils
2 years ago
Christian König 1335c44deb
Add jq to dependencies
2 years ago
Christian König 9b5ea13a33 Use utils.sh in install script
2 years ago
yubiuser 37102e5a01
Merge branch 'development' into removeblockpagefunctionality
2 years ago
MichaIng b3c8045b52
Skip web server dialog if --disable-install-webserver has been passed
2 years ago
Christian König 97447b2f3b
Do not remove blockingpage.css from existing installations as some users might use them for custom.php
2 years ago
Christian König 27fa284eda
Fix missing PI_HOLE_BLOCKPAGE_DIR
2 years ago
Christian König 6c9bd7a632
Remove blockingpage.css
2 years ago
Adam Warner c78cf82fc6
no need to declare $viewPort
2 years ago
Christian König c7410b0be9
Always indent
2 years ago
Christian König 7320c10dd3
Fix git indention
2 years ago
Adam Warner c6da627b7d
Move release version check inside the else block
2 years ago
Adam Warner 9028898ba7
Move code from `check_epel_repo_required` into the rpm branch of the if check on package_manager_detect(), adjust tests to accommodate
2 years ago
Adam Warner 0e8c1ec023
Flip logic on epel check - if _not_ fedora, then (try to, depending on supported OS) install EPEL.
2 years ago
Adam Warner 313c0ddf28
Update automated install/basic-install.sh
2 years ago
Adam Warner b613758419
rename select_rpm_php and simplify it to remove code no longer needed (discussed internally removing the unsupported dialog here to match behaviour on non rpm distros)
2 years ago
Adam Warner 9c03915cb0
Remove special Centos7 hand holds. Move the unsupported dialog out to a further if block so that a user may still continue to install on centos7 (provided they have the pre-requisites installed)
2 years ago
yubiuser a45c9f9f50
Merge pull request #4848 from pi-hole/indent_update
2 years ago
Christian König 2610739624
Indent installation/update complete message
2 years ago